Download it now!
Bug 90255 - FILESAVE : PPTX 'startAt' tag for bullet numbering is not exported
Summary: FILESAVE : PPTX 'startAt' tag for bullet numbering is not exported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2015-03-26 12:59 UTC by Priyanka Gaikwad
Modified: 2015-12-18 09:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
original pptx (31.86 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-03-26 12:59 UTC, Priyanka Gaikwad
Details
screenshot (33.18 KB, image/png)
2015-03-26 13:00 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-03-26 12:59:42 UTC
Created attachment 114375 [details]
original pptx

In numbering bullet
<a:buAutoNum type="alphaUcPeriod" startAt="2"/>

The range that the start at number for a bullet's auto-numbering sequence can begin at.

Steps to reproduce:
1. Open .pptx (attached)
2. Save as .pptx
3. Open saved pptx

Current behavior:
After RT startAt tag of <a:buAutoNum> are not exported

Expected behaviour:
After RT startAt tag of <a:buAutoNum> should export
Comment 1 Priyanka Gaikwad 2015-03-26 13:00:36 UTC
Created attachment 114376 [details]
screenshot
Comment 2 raal 2015-03-26 13:59:42 UTC
I can confirm with LO  4.4.1.2, win7

.ppt works OK.
Comment 3 A (Andy) 2015-03-27 14:58:56 UTC
Also for me reproducible with LO 4.4.1.2, Win 8.1.
PPT file is ok, but the PPTX file is changed as shown in the PNG attachment and if I try to open it with MSO it cannot open it.
Comment 4 Matthew Francis 2015-04-07 01:13:48 UTC
Occurs all the way back to LO 3.3.0 - this doesn't seem to have ever worked

However, OOo/AOO have never supported PPTX, so this is an original implementation error of the feature rather than a regression
Comment 5 Commit Notification 2015-04-13 08:19:18 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3618909684a892d912482844b81606bca4e0c29c

tdf#90255 FILESAVE:PPTX 'startAt' tag for bullet numbering is not exported

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Jorendc 2015-04-19 13:15:29 UTC
Retested with merged fix -> I can verify it is fixed now.

Marking as VERIFIED FIXED.

Thanks!
Comment 7 Akshay Anand 2015-05-11 10:39:22 UTC
Verified on LO Windows build ID : 

Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: en-US (en_US)

This issue has been fixed.
Comment 8 Robinson Tryon (qubit) 2015-12-18 09:50:30 UTC Comment hidden (obsolete)